wreport::errors::StringBase< ERROR_CODE > Class Template Reference
Inheritance diagram for wreport::errors::StringBase< ERROR_CODE >:

## Public Member Functions

| StringBase (const std::string &msg) noexcept
ErrorCode | code () const noexcept override
| Exception-specific error code.
const char * | what () const noexcept override
| Error message.

## Data Fields

std::string | msg
| error message returned by what()

## Additional Inherited Members

Static Public Member Functions inherited from wreport::error
static const char * | strerror (ErrorCode code)
| String description for an error code.

## Constructor & Destructor Documentation

## StringBase()

template<ErrorCode ERROR_CODE>

wreport::errors::StringBase< ERROR_CODE >::StringBase | ( | const std::string & | msg | ) |

inline noexcept

Parameters

  msg | error message

References msg.

## Member Function Documentation

## code()

template<ErrorCode ERROR_CODE>

ErrorCode wreport::errors::StringBase< ERROR_CODE >::code | ( |  | ) | const

inline override virtual noexcept

Exception-specific error code.

This is useful to map C++ exceptions to C or Fortran error codes

Implements wreport::error.

## what()

template<ErrorCode ERROR_CODE>

const char * wreport::errors::StringBase< ERROR_CODE >::what | ( |  | ) | const

inline override virtual noexcept

Error message.

Implements wreport::error.

References msg.

The documentation for this class was generated from the following file:

- error.h